## pytools 2021.1

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pytools
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## pytools 10

=== debian/changelog ===
pytools (10-7) unstable; urgency=low

  * Removed pytools.log and pytools.grid as they are not used by PyCUDA
    and depend on not packaged Python modules
  * Removed programs logtool and runalyzer-gather; they depend on removed
    packages and are not required by PyCUDA
  * Added dependency on python-pysqlite2 or python 2.6

 -- Tomasz Rybak <bogomips@post.pl>  Sat, 12 Jun 2010 18:45:41 +0200

pytools (10-6) UNRELEASED; urgency=low

  * Added XS-Python-Version
  * Changed link to download page removing file version to avoid further edits.
  * Removed dependency on quilt
  * Added copyright of pytools/decorator.py 

 -- Tomasz Rybak <bogomips@post.pl>  Sat, 05 Jun 2010 22:14:17 +0200

pytools (10-5) UNRELEASED; urgency=low

  * Fixed short description
  * Removed decorator distributed with package as the file is already
    in Debian package python-decorator, patching source
  * Added python-setuptools as build dependency, so package does not try to 
    download it during build

 -- Tomasz Rybak <bogomips@post.pl>  Wed, 02 Jun 2010 15:45:18 +0200

pytools (10-4) UNRELEASED; urgency=low

  * Changed packaging solution from python-central to python-support
  * Changed priority from extra to optional
  * Added missing dependencies

 -- Tomasz Rybak <bogomips@post.pl>  Mon, 31 May 2010 18:46:24 +0200

pytools (10-3) UNRELEASED; urgency=low

  * Added manpages generated by help2man
  * Changed architecture from any to all as package contains only Python code
  * Changed rules script to build for "all" architecture - previous one was
    not dealing with this change

 -- Tomasz Rybak <bogomips@post.pl>  Sat, 22 May 2010 20:24:52 +0200

pytools (10-2) UNRELEASED; urgency=low

  * Fixes pointed by lintian:
  * Changed version by adding Debian revision
  * Added license
  * Changed version of Python build-dependency by removing Debian revision
  * Changed section from devel to python
  * Fixed list indentation in long package description

 -- Tomasz Rybak <bogomips@post.pl>  Thu, 20 May 2010 22:41:29 +0200

pytools (10-1) UNRELEASED; urgency=low

  * Initial release

 -- Tomasz Rybak <bogomips@post.pl>  Mon, 17 May 2010 19:01:17 +0200

=== debian/control ===
Source: pytools
Section: python
Priority: optional
Maintainer: Tomasz Rybak <bogomips@post.pl>
Build-Depends: debhelper (>= 7.0.50~),
 python-support,
 python (>= 2.5),
 python-setuptools,
 python-numpy,
 python-matplotlib,
 python-decorator
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://mathema.tician.de/software/pytools

Package: python-pytools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python (>= 2.6) | python-pysqlite2,
 python-numpy,
 python-matplotlib,
 python-decorator
XB-Python-Version: ${python:Versions}
Description: big bag of things supplementing Python standard library
 Pytools is a big bag of things that are needed by packages created by
 Andreas Kloeckner. They are used by python-pycuda and python-pyopencl
 packages. They contain, amongst other:
  * A ton of small tool functions such as len_iterable, argmin, tuple
    generation, permutation generation, ASCII table pretty printing,
    GvR's mokeypatch_xxx() hack, the elusive flatten, and much more
  * A time-series logging module, pytools.log
  * Batch job submission, pytools.batchjob
  * A lexer, pytools.lex

=== debian/rules ===
#! /usr/bin/make -f

override_dh_install:
	find debian/python-pytools/usr/ -name decorator.py -delete
	find debian/python-pytools/usr/ -name log.py -delete
	find debian/python-pytools/usr/ -name grid.py -delete
	find debian/python-pytools/usr/ -name logtool -delete
	find debian/python-pytools/usr/ -name runalyzer-gather -delete
	dh_install

%:
	dh $@

## pytools 2011.3

=== debian/changelog ===
pytools (2011.3-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.9.2; no changes necessary.
  * Switch to debhelper compat level 8; no changes necessary.
  * Add Vcs-* fields in debian/control pointing to Alioth git repository
  * Change debian/rules to use dh_python2 which is recommended in Wheezy 

 -- Tomasz Rybak <bogomips@post.pl>  Thu, 28 Apr 2011 17:41:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: python
 Priority: optional
 Maintainer: Tomasz Rybak <bogomips@post.pl>
-Build-Depends: debhelper (>= 7.0.50~),
- python-support,
+Build-Depends: debhelper (>= 8),
  python (>= 2.5),
  python-setuptools,
  python-numpy,
  python-matplotlib,
  python-decorator
-Standards-Version: 3.8.4
-XS-Python-Version: >= 2.5
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.6
 Homepage: http://mathema.tician.de/software/pytools
+Vcs-Git: git://git.debian.org/git/collab-maint/python-pytools.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pytools.git
 
 Package: python-pytools
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
- python (>= 2.6) | python-pysqlite2,
  python-numpy,
  python-matplotlib,
  python-decorator

## pytools 2011.5

=== debian/changelog ===
pytools (2011.5-2) unstable; urgency=low

  * Add Python 3 package. 
  * Update Standards-Version to 3.9.3.
  * Update debian/copyright to official 1.0 format. 

 -- Tomasz Rybak <bogomips@post.pl>  Tue, 24 Apr 2012 19:45:54 +0200

pytools (2011.5-1) unstable; urgency=low

  * New upstream version, adds workaround for Python bug
    http://bugs.python.org/issue3905
  * Refresh patches to apply and unapply cleanly. 
  * Add debian/clean to remove generated files from pytools.egg-info/*

 -- Tomasz Rybak <bogomips@post.pl>  Fri, 25 Nov 2011 12:29:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,16 @@
 Maintainer: Tomasz Rybak <bogomips@post.pl>
 Build-Depends: debhelper (>= 8),
  python (>= 2.5),
+ python3 (>= 3.2),
  python-setuptools,
+ python3-setuptools,
  python-numpy,
- python-matplotlib,
- python-decorator
-Standards-Version: 3.9.2
-X-Python-Version: >= 2.6
+ python3-numpy,
+ python-decorator,
+ python3-decorator
+Standards-Version: 3.9.3
+X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pytools
 Vcs-Git: git://git.debian.org/git/collab-maint/python-pytools.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pytools.git
@@ -18,9 +22,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
  python-numpy,
- python-matplotlib,
  python-decorator
-XB-Python-Version: ${python:Versions}
 Description: big bag of things supplementing Python standard library
  Pytools is a big bag of things that are needed by packages created by
  Andreas Kloeckner. They are used by python-pycuda and python-pyopencl
@@ -31,3 +33,21 @@
   * A time-series logging module, pytools.log
   * Batch job submission, pytools.batchjob
   * A lexer, pytools.lex
+
+Package: python3-pytools
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-numpy,
+ python3-decorator
+Description: big bag of things supplementing Python 3 standard library
+ Pytools is a big bag of things that are needed by packages created by
+ Andreas Kloeckner. They are used by python-pycuda and python-pyopencl
+ packages. They contain, amongst other:
+  * A ton of small tool functions such as len_iterable, argmin, tuple
+    generation, permutation generation, ASCII table pretty printing,
+    GvR's mokeypatch_xxx() hack, the elusive flatten, and much more
+  * A time-series logging module, pytools.log
+  * Batch job submission, pytools.batchjob
+  * A lexer, pytools.lex
+ .
+ This package contains Python 3 modules.

=== debian/rules ===
#! /usr/bin/make -f

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	find pytools/ -name decorator.py -delete
	find pytools/ -name log.py -delete
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	set -e; \
	for python in $(PYTHON3); do \
		python$$python setup.py install --install-layout=deb --root=debian/tmp; \
	done

## pytools 2013.5.2

=== debian/changelog ===
pytools (2013.5.2-1) unstable; urgency=low

  * New upstream version.
  * Upstream changed build system; remove unnecessary replace-setuptools.patch.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 30 Jun 2013 16:50:10 +0200

pytools (2013.2-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on python3-all instead of python3 (Closes: #707310)
  * Update debian/compat to 9, update dependencies.
  * Update Standards-Version to 3.9.4; no changes necessary.
  * Fix VCS-* fields to contain canonical URIs.
  * Change my email.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 13 Jun 2013 18:46:28 +0200

## pytools 2013.5.7

=== debian/changelog ===
pytools (2013.5.7-1) unstable; urgency=low

  * New upstream release.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 28 Nov 2013 19:05:48 +0100

pytools (2013.5.6-1) unstable; urgency=low

  * New upstream release.
  * Fix patch removing distributed decorator.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 27 Aug 2013 20:56:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: pytools
 Section: python
 Priority: optional
-Maintainer: Tomasz Rybak <bogomips@post.pl>
-Build-Depends: debhelper (>= 8),
+Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Build-Depends: debhelper (>= 9),
  python (>= 2.5),
- python3 (>= 3.2),
+ python3-all (>= 3.2),
  python-setuptools,
  python3-setuptools,
  python-numpy,
  python3-numpy,
  python-decorator,
  python3-decorator
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pytools
-Vcs-Git: git://git.debian.org/git/collab-maint/python-pytools.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pytools.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/python-pytools.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-pytools.git
 
 Package: python-pytools
 Architecture: all

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pytools/pytools-(.+)\.tar\.gz

## pytools 2014.2.1

=== debian/changelog ===
pytools (2014.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix Vcs-Browser link, as pointed in #749489.
  * Update Standards-Version to 3.9.5; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 01 Jun 2014 15:40:51 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
  python3-numpy,
  python-decorator,
  python3-decorator
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pytools
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-pytools.git
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-pytools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pytools.git
 
 Package: python-pytools
 Architecture: all

## pytools 2014.3

=== debian/changelog ===
pytools (2014.3-2) unstable; urgency=medium

  * Add dependency to appdirs and use it to create cache directories,
    similarly to fix in PyOpenCL and PyCUDA.
  * Update Standards-Version to 3.9.6; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 29 Nov 2014 20:06:12 +0100

pytools (2014.3-1) unstable; urgency=medium

  * New upstream release.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 24 Aug 2014 13:17:01 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-numpy,
  python-decorator,
  python3-decorator
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pytools
@@ -21,6 +21,7 @@
 Package: python-pytools
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
+ python-appdirs,
  python-numpy,
  python-decorator
 Description: big bag of things supplementing Python standard library
@@ -37,6 +38,7 @@
 Package: python3-pytools
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+ python3-appdirs,
  python3-numpy,
  python3-decorator
 Description: big bag of things supplementing Python 3 standard library

## pytools 2015.1.2

=== debian/changelog ===
pytools (2015.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 09 Jul 2015 18:07:08 +0200

pytools (2014.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch to work with PyPI.
  * Add dh-python to Build-Depends.
  * Drop use-appdirs.patch, merged by upstream.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 09 Jun 2015 22:22:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
+ dh-python,
  python (>= 2.5),
  python3-all (>= 3.2),
  python-setuptools,

## pytools 2015.1.6

=== debian/changelog ===
pytools (2015.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 07 Jan 2016 19:02:37 +0100

pytools (2015.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Use pybuild as build system.
  * Add python{3}-six as dependency, add versions to Python dependencies.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 17 Sep 2015 18:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
  python3-setuptools,
  python-numpy,
  python3-numpy,
- python-decorator,
- python3-decorator
+ python-decorator (>= 3.2.0),
+ python3-decorator (>= 3.2.0),
+ python-six,
+ python3-six
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
@@ -22,9 +24,10 @@
 Package: python-pytools
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
- python-appdirs,
+ python-appdirs (>= 1.4.0),
  python-numpy,
- python-decorator
+ python-decorator (>= 3.2.0),
+ python-six
 Description: big bag of things supplementing Python standard library
  Pytools is a big bag of things that are needed by packages created by
  Andreas Kloeckner. They are used by python-pycuda and python-pyopencl
@@ -39,9 +42,10 @@
 Package: python3-pytools
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
- python3-appdirs,
+ python3-appdirs (>= 1.4.0),
  python3-numpy,
- python3-decorator
+ python3-decorator (>= 3.2.0),
+ python3-six
 Description: big bag of things supplementing Python 3 standard library
  Pytools is a big bag of things that are needed by packages created by
  Andreas Kloeckner. They are used by python-pycuda and python-pyopencl

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_DESTDIR_python2=debian/python-pytools/
export PYBUILD_DESTDIR_python3=debian/python3-pytools/

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_auto_build:
	find pytools/ -name decorator.py -delete
	find pytools/ -name log.py -delete
	dh_auto_build

=== debian/watch ===
version=3
http://pypi.debian.net/pytools/pytools-(.+)\.tar\.gz

## pytools 2016.1

=== debian/changelog ===
pytools (2016.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.7; no changes necessary.
  * Change Vcs-* links to use https.
  * Remove versions in Python dependencies.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 27 Mar 2016 17:01:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
  dh-python,
- python (>= 2.5),
- python3-all (>= 3.2),
+ python-all,
+ python3-all,
  python-setuptools,
  python3-setuptools,
  python-numpy,
@@ -14,12 +14,12 @@
  python3-decorator (>= 3.2.0),
  python-six,
  python3-six
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pytools
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-pytools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pytools.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pytools.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pytools.git
 
 Package: python-pytools
 Architecture: all

## pytools 2016.2.1

=== debian/changelog ===
pytools (2016.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.8; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 12 Jul 2016 22:09:14 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-decorator (>= 3.2.0),
  python-six,
  python3-six
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pytools

## pytools 2016.2.6

=== debian/changelog ===
pytools (2016.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Set compatibility level to 10; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 29 Nov 2016 19:28:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-python,
  python-all,
  python3-all,

## pytools 2017.6

=== debian/changelog ===
pytools (2017.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.1; no changes necessary.
  * Change debian/watch file to use HTTPS, as suggested by lintian.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 26 Nov 2017 13:29:24 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-decorator (>= 3.2.0),
  python-six,
  python3-six
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pytools

=== debian/watch ===
version=3
https://pypi.debian.net/pytools/pytools-(.+)\.tar\.gz

## pytools 2018.1

=== debian/changelog ===
pytools (2018.1-1) unstable; urgency=medium

  * New upstream release.
  * Update my email to @debian.org.
  * Update Standards-Version to 4.1.3; no changes necessary.
  * Remove trailing spaces from debian/changelog

 -- Tomasz Rybak <serpent@debian.org>  Thu, 08 Mar 2018 19:34:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pytools
 Section: python
 Priority: optional
-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Tomasz Rybak <serpent@debian.org>
 Build-Depends: debhelper (>= 10),
  dh-python,
  python-all,
@@ -14,7 +14,7 @@
  python3-decorator (>= 3.2.0),
  python-six,
  python3-six
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pytools

## pytools 2019.1

=== debian/changelog ===
pytools (2019.1-1) unstable; urgency=medium

  * New upstream release
    * Update patches.
    * Add separate documentation package.
  * Add d/source/local-options with options proposed by debmake.
  * Add DEB_BUILD_OPTIONS terse.
  * Update Standards-Version to 4.3.0; no changes necessary.
  * Set compatibility level to 12; no changes necessary.
  * Update debian/watch to new version and to use substitution variables.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 27 Jan 2019 22:45:24 +0100

pytools (2018.5.2-1) unstable; urgency=medium

  * New upstream version. 
  * Run tests from d/rules during build; Build-Depends on pytest for this.
  * Add Rules-Requires-Root to d/control.
  * Update d/copyright to DEP-5 format.
  * Reorder d/control putting Python 3 packages first.
  * Remove unnecessary X-Python{,3}-Version fields.
  * Update Standards-Version to 4.2.1; no changes necessary.
  * Set compatibility level to 11; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 15 Oct 2018 22:46:47 +0200

pytools (2018.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix installation of doc file.
    Closes: #903352
  * Fix Vcs fields

 -- Andreas Tille <tille@debian.org>  Fri, 03 Aug 2018 09:56:05 +0200

=== debian/control ===
Source: pytools
Section: python
Priority: optional
Maintainer: Tomasz Rybak <serpent@debian.org>
Build-Depends: debhelper (>= 12),
 dh-python,
 python-all,
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-numpy,
 python3-numpy,
 python-sphinx (>= 1.0.7+dfsg) <!nodoc>,
 python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
 python-decorator (>= 3.2.0),
 python3-decorator (>= 3.2.0),
 python-six,
 python3-six,
 python-pytest,
 python3-pytest
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: http://mathema.tician.de/software/pytools
Vcs-Git: https://salsa.debian.org/debian/python-pytools.git
Vcs-Browser: https://salsa.debian.org/debian/python-pytools

Package: python3-pytools
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-appdirs (>= 1.4.0),
 python3-numpy,
 python3-decorator (>= 3.2.0),
 python3-six
Description: big bag of things supplementing Python 3 standard library
 Pytools is a big bag of things that are needed by packages created by
 Andreas Kloeckner. They are used by python-pycuda and python-pyopencl
 packages. They contain, amongst other:
  * A ton of small tool functions such as len_iterable, argmin, tuple
    generation, permutation generation, ASCII table pretty printing,
    GvR's mokeypatch_xxx() hack, the elusive flatten, and much more
  * A time-series logging module, pytools.log
  * Batch job submission, pytools.batchjob
  * A lexer, pytools.lex
 .
 This package contains Python 3 modules.

Package: python-pytools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-appdirs (>= 1.4.0),
 python-numpy,
 python-decorator (>= 3.2.0),
 python-six
Description: big bag of things supplementing Python standard library
 Pytools is a big bag of things that are needed by packages created by
 Andreas Kloeckner. They are used by python-pycuda and python-pyopencl
 packages. They contain, amongst other:
  * A ton of small tool functions such as len_iterable, argmin, tuple
    generation, permutation generation, ASCII table pretty printing,
    GvR's mokeypatch_xxx() hack, the elusive flatten, and much more
  * A time-series logging module, pytools.log
  * Batch job submission, pytools.batchjob
  * A lexer, pytools.lex

Package: python-pytools-doc
Section: doc
Architecture: all
Depends: ${sprinx:Depends},
 ${misc:Depends}
Recommends: python3-doc,
 python-numpy-doc
Suggests: python3-pytools,
 python-pytools
Description: big bag of things supplementing Python library (documentation)
 Pytools is a big bag of things that are needed by packages created by
 Andreas Kloeckner. They are used by python-pycuda and python-pyopencl
 packages. They contain, amongst other:
  * A ton of small tool functions such as len_iterable, argmin, tuple
    generation, permutation generation, ASCII table pretty printing,
    GvR's mokeypatch_xxx() hack, the elusive flatten, and much more
  * A time-series logging module, pytools.log
  * Batch job submission, pytools.batchjob
  * A lexer, pytools.lex
 .
 This package contains HTML documentation and example scripts.

=== debian/rules ===
#! /usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
else
export DH_QUIET = 1
endif

export PYBUILD_DESTDIR_python2=debian/python-pytools/
export PYBUILD_DESTDIR_python3=debian/python3-pytools/

BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	find pytools/ -name decorator.py -delete
	find pytools/ -name log.py -delete
	dh_auto_build

override_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"
	dh_installdocs
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --buildsystem pybuild -- --test-pytest
endif

## pytools 2019.1.1

=== debian/changelog ===
pytools (2019.1.1-2) unstable; urgency=medium

  * Remove Python 2 packages, preparing for #938289.
  * Update doc-base files.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 17 Nov 2019 19:04:56 +0100

pytools (2019.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.4.1; no changes necessary.
  * Use debhelper-compat versioned dependency instead of d/compat
    to mark debhelper compatibility level.
  * Update d/copyright; use debmake suggestion and change name of MIT
    to Expat licence, removing ambiguity.
  * Change d/watch to use upstream git repository.
  * Add upstream GPG key.
  * Do not Suggest python-pytools in doc package, preparing for #938289.
  * Fix dependency in doc package to use sptinxdoc:Depends.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 03 Nov 2019 18:21:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Tomasz Rybak <serpent@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
  dh-python,
- python-all,
  python3-all,
- python-setuptools,
  python3-setuptools,
- python-numpy,
  python3-numpy,
- python-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
- python-decorator (>= 3.2.0),
  python3-decorator (>= 3.2.0),
- python-six,
  python3-six,
- python-pytest,
  python3-pytest
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pytools
 Vcs-Git: https://salsa.debian.org/debian/python-pytools.git
@@ -44,33 +37,14 @@
  .
  This package contains Python 3 modules.
 
-Package: python-pytools
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
- python-appdirs (>= 1.4.0),
- python-numpy,
- python-decorator (>= 3.2.0),
- python-six
-Description: big bag of things supplementing Python standard library
- Pytools is a big bag of things that are needed by packages created by
- Andreas Kloeckner. They are used by python-pycuda and python-pyopencl
- packages. They contain, amongst other:
-  * A ton of small tool functions such as len_iterable, argmin, tuple
-    generation, permutation generation, ASCII table pretty printing,
-    GvR's mokeypatch_xxx() hack, the elusive flatten, and much more
-  * A time-series logging module, pytools.log
-  * Batch job submission, pytools.batchjob
-  * A lexer, pytools.lex
-
 Package: python-pytools-doc
 Section: doc
 Architecture: all
-Depends: ${sprinx:Depends},
+Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
 Recommends: python3-doc,
  python-numpy-doc
-Suggests: python3-pytools,
- python-pytools
+Suggests: python3-pytools
 Description: big bag of things supplementing Python library (documentation)
  Pytools is a big bag of things that are needed by packages created by
  Andreas Kloeckner. They are used by python-pycuda and python-pyopencl

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
 override_dh_auto_build:
 	find pytools/ -name decorator.py -delete

## pytools 2021.1

=== debian/changelog ===
pytools (2021.1-2) unstable; urgency=medium

  * Source-only upload (Closes: #982619).
  * Mark python-pytools-doc as Multi-Arch: foreign. 

 -- Tomasz Rybak <serpent@debian.org>  Sun, 21 Feb 2021 20:31:47 +0100

pytools (2021.1-1) unstable; urgency=medium

  * New upstream release.
    * Refresh patches.
    * Update debian/watch file for new git repository.
    * Update debian/copyright with information about new files.
  * Add patch for reproducible, offline generation of documentation.
  * Add options to get verbose log from pybuild.
  * Update Standards-Version to 4.5.1; no changes necessary.
  * Set compatibility level to 13; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 07 Feb 2021 22:24:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: python
 Priority: optional
 Maintainer: Tomasz Rybak <serpent@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-numpy3,
+ dh-sequence-sphinxdoc,
  dh-python,
  python3-all,
  python3-setuptools,
  python3-numpy,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
  python3-decorator (>= 3.2.0),
  python3-six,
  python3-pytest
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pytools
 Vcs-Git: https://salsa.debian.org/debian/python-pytools.git
@@ -45,6 +49,7 @@
 Recommends: python3-doc,
  python-numpy-doc
 Suggests: python3-pytools
+Multi-Arch: foreign
 Description: big bag of things supplementing Python library (documentation)
  Pytools is a big bag of things that are needed by packages created by
  Andreas Kloeckner. They are used by python-pycuda and python-pyopencl

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
 export DH_VERBOSE = 1
+export PYBUILD_VERBOSE=1
 else
 export DH_QUIET = 1
 endif

## pytools 2021.2.8

=== debian/changelog ===
pytools (2021.2.8-1) unstable; urgency=medium

  * New upstream release (Closes: #996485).
    * Drop remove-decorator.patch - upstream removed module.
  * Documentation:
    * Refresh documentation patch.
    * Include file downloaded during build as part of patch.
    * Split documentation built dependencies to *-Indep block.
    * Add explicit dependency on python3-doc and python-numpy-doc
      for Sphinx index.
  * Update Standards-Version to 4.6.0; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Sat, 16 Oct 2021 22:48:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Tomasz Rybak <serpent@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends:
+ debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-numpy3,
  dh-sequence-sphinxdoc,
@@ -10,12 +11,15 @@
  python3-all,
  python3-setuptools,
  python3-numpy,
- python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
- python3-sphinx-copybutton <!nodoc>,
  python3-decorator (>= 3.2.0),
  python3-six,
- python3-pytest
-Standards-Version: 4.5.1
+ python3-pytest <!nocheck>
+Build-Depends-Indep:
+ python3-doc <!nodoc>,
+ python-numpy-doc <!nodoc>,
+ python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pytools
 Vcs-Git: https://salsa.debian.org/debian/python-pytools.git
@@ -44,12 +48,13 @@
 Package: python-pytools-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
 Recommends: python3-doc,
  python-numpy-doc
 Suggests: python3-pytools
-Multi-Arch: foreign
 Description: big bag of things supplementing Python library (documentation)
  Pytools is a big bag of things that are needed by packages created by
  Andreas Kloeckner. They are used by python-pycuda and python-pyopencl

## pytools 2022.1.14

=== debian/changelog ===
pytools (2022.1.14-2) unstable; urgency=medium

  * Remove python-numpy-doc Build-Dependency; it is not built anymore
    from NumPy sources (Closes: #1028683).

 -- Tomasz Rybak <serpent@debian.org>  Mon, 16 Jan 2023 20:23:37 +0100

pytools (2022.1.14-1) unstable; urgency=medium

  * New upstream release.
    * Update debian/copyright.
    * Refresh patches.
    * Hard-code project name for documentation (Closes: #996834).
    * Add python3-platformdirs and python3-typing-extensions as dependencies.
  * Use (upstream default) furo Sphinx theme - recently packaged for Debian.
  * Update Standards-Version to 4.6.2; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 27 Dec 2022 23:35:33 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,14 @@
  python3-numpy,
  python3-decorator (>= 3.2.0),
  python3-six,
- python3-pytest <!nocheck>
+ furo,
+ python3-pytest <!nocheck>,
+ python3-typing-extensions <!nocheck>
 Build-Depends-Indep:
  python3-doc <!nodoc>,
- python-numpy-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pytools
 Vcs-Git: https://salsa.debian.org/debian/python-pytools.git
@@ -31,7 +32,9 @@
  python3-appdirs (>= 1.4.0),
  python3-numpy,
  python3-decorator (>= 3.2.0),
- python3-six
+ python3-six,
+ python3-typing-extensions,
+ python3-platformdirs
 Description: big bag of things supplementing Python 3 standard library
  Pytools is a big bag of things that are needed by packages created by
  Andreas Kloeckner. They are used by python-pycuda and python-pyopencl
@@ -52,8 +55,7 @@
 Build-Profiles: <!nodoc>
 Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
-Recommends: python3-doc,
- python-numpy-doc
+Recommends: python3-doc
 Suggests: python3-pytools
 Description: big bag of things supplementing Python library (documentation)
  Pytools is a big bag of things that are needed by packages created by

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DH_QUIET = 1
 endif
 
-export PYBUILD_DESTDIR_python2=debian/python-pytools/
+export PYBUILD_DISABLE_python2 = 1
 export PYBUILD_DESTDIR_python3=debian/python3-pytools/
 
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
@@ -23,8 +23,10 @@
 	dh_auto_build
 
 override_dh_installdocs:
+# Don't build documentation when required not to do it
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"
+# Documentation requires pytools module to analyse existing types
+	SPHINXOPTS="$(SPHINXOPTS)" pybuild --build -i python3 -s custom --build-args 'make -C {dir}/doc html'
 	dh_installdocs
 endif

## pytools 2023.1.1

=== debian/changelog ===
pytools (2023.1.1-1) unstable; urgency=medium

  * New upstream release.
    * Refresh patches.
  * Add python-pytest-doc to build dependencies, for documentation links.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 04 Dec 2023 21:03:40 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
 Build-Depends-Indep:
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
- python3-sphinx-copybutton <!nodoc>
+ python3-sphinx-copybutton <!nodoc>,
+ python-pytest-doc <!nodoc>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pytools
@@ -55,7 +56,8 @@
 Build-Profiles: <!nodoc>
 Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
-Recommends: python3-doc
+Recommends: python3-doc,
+ python-pytest-doc,
 Suggests: python3-pytools
 Description: big bag of things supplementing Python library (documentation)
  Pytools is a big bag of things that are needed by packages created by

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=gittag" https://github.com/inducer/@PACKAGE@.git refs/tags/v@ANY_VERSION@ debian uupdate

## pytools 2024.1.6

=== debian/changelog ===
pytools (2024.1.6-1) unstable; urgency=medium

  * New upstream release.
    * Refresh patches.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 02 Jul 2024 21:24:07 +0200

pytools (2024.1.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1068968)
    * Refresh patches.
  * Remove appdirs dependency (Closes: #1068004)
    Package already depends on platformdirs since 2022.1.14-1
  * Add custom clean step (Closes: #1045500)
  * Do not override dh_auto_build: files it deleted do not exist anymore.
  * Clear debian/copyright.
  * Update Standards-Version to 4.7.0; no changes necessary.

  [ Alexandre Detiste ]
  * Remove extraneous dependency on python3-six

 -- Tomasz Rybak <serpent@debian.org>  Wed, 24 Apr 2024 21:15:12 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  python3-setuptools,
  python3-numpy,
  python3-decorator (>= 3.2.0),
- python3-six,
- furo,
+ furo <!nodoc>,
+ python3-platformdirs <!nocheck>,
  python3-pytest <!nocheck>,
  python3-typing-extensions <!nocheck>
 Build-Depends-Indep:
@@ -21,7 +21,7 @@
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
  python-pytest-doc <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pytools
 Vcs-Git: https://salsa.debian.org/debian/python-pytools.git
@@ -30,10 +30,8 @@
 Package: python3-pytools
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
- python3-appdirs (>= 1.4.0),
  python3-numpy,
  python3-decorator (>= 3.2.0),
- python3-six,
  python3-typing-extensions,
  python3-platformdirs
 Description: big bag of things supplementing Python 3 standard library

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,9 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
-override_dh_auto_build:
-	find pytools/ -name decorator.py -delete
-	find pytools/ -name log.py -delete
-	dh_auto_build
+override_dh_auto_clean:
+	dh_auto_clean
+	-rm -rf doc/_build
 
 override_dh_installdocs:
 # Don't build documentation when required not to do it

## pytools 2024.1.14

=== debian/changelog ===
pytools (2024.1.14-1) unstable; urgency=medium

  * New upstream release.
    * Refresh patches.
    * Add pybuild pyproject build dependency.
  * Add autopkgtests (Closes: #1035268)

 -- Tomasz Rybak <serpent@debian.org>  Mon, 23 Sep 2024 23:37:49 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dh-sequence-numpy3,
  dh-sequence-sphinxdoc,
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-numpy,
@@ -15,7 +16,7 @@
  furo <!nodoc>,
  python3-platformdirs <!nocheck>,
  python3-pytest <!nocheck>,
- python3-typing-extensions <!nocheck>
+ python3-typing-extensions <!nocheck>,
 Build-Depends-Indep:
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 export PYBUILD_DISABLE_python2 = 1
 export PYBUILD_DESTDIR_python3=debian/python3-pytools/
+# Disable some tests as they expect siphash13 not available in Debian
+export PYBUILD_TEST_ARGS=-k 'not test_attrs_hashing and not test_class_hashing and not test_dataclass_hashing and not test_datetime_hashing and not test_hash_function'
 
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
 SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"

## pytools 2025.1.1

=== debian/changelog ===
pytools (2025.1.1-1) unstable; urgency=medium

  * New upstream release.
    * Add python3-hatchling build-dependency
    * Update debian/copyright.
    * Refresh patches.
  * Update Standards-Version to 4.7.2; no changes necessary.
  * Add dependency to mathjax library and replace CDN links with packaged file.

 -- Tomasz Rybak <serpent@debian.org>  Sat, 22 Mar 2025 22:08:38 +0100

## pytools 2025.1.2

=== debian/changelog ===
pytools (2025.1.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1076925).
    * Refresh patches.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 01 Apr 2025 19:49:47 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
+ python3-hatchling,
  python3-numpy,
  python3-decorator (>= 3.2.0),
  furo <!nodoc>,
@@ -22,7 +23,7 @@
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
  python-pytest-doc <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pytools
 Vcs-Git: https://salsa.debian.org/debian/python-pytools.git
@@ -57,7 +58,8 @@
  ${misc:Depends}
 Recommends: python3-doc,
  python-pytest-doc,
-Suggests: python3-pytools
+Suggests: python3-pytools,
+ node-mathjax-full,
 Description: big bag of things supplementing Python library (documentation)
  Pytools is a big bag of things that are needed by packages created by
  Andreas Kloeckner. They are used by python-pycuda and python-pyopencl

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 export DH_QUIET = 1
 endif
 
-export PYBUILD_DISABLE_python2 = 1
-export PYBUILD_DESTDIR_python3=debian/python3-pytools/
+export PYBUILD_DESTDIR=debian/python3-pytools/
 # Disable some tests as they expect siphash13 not available in Debian
 export PYBUILD_TEST_ARGS=-k 'not test_attrs_hashing and not test_class_hashing and not test_dataclass_hashing and not test_datetime_hashing and not test_hash_function'
 
@@ -28,6 +27,9 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 # Documentation requires pytools module to analyse existing types
 	SPHINXOPTS="$(SPHINXOPTS)" pybuild --build -i python3 -s custom --build-args 'make -C {dir}/doc html'
+	sed -i 's#https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js#file:///usr/share/nodejs/mathjax-full/es5/tex-mml-chtml.js#' doc/_build/html/index.html
+	sed -i 's#https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js#file:///usr/share/nodejs/mathjax-full/es5/tex-mml-chtml.js#' doc/_build/html/convergence.html
+	sed -i 's#https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js#file:///usr/share/nodejs/mathjax-full/es5/tex-mml-chtml.js#' doc/_build/html/graph.html
 	dh_installdocs
 endif

=== debian/tests/control ===
Depends: @, python3-all, python3-pytest,
Tests: unittest
Restrictions: allow-stderr
